<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sat Oct 26 09:23:30 CEST 2019 -->
<title>RefinementsEditor</title>
<meta name="date" content="2019-10-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementsEditor";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsEditor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/RefinementsEditor.html" target="_top">Frames</a></li>
<li><a href="RefinementsEditor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.model.refinements.presentation</div>
<h2 title="Class RefinementsEditor" class="title">Class RefinementsEditor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.core.commands.common.EventManager</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.WorkbenchPart</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.EditorPart</li>
<li>
<ul class="inheritance">
<li>org.eclipse.ui.part.MultiPageEditorPart</li>
<li>
<ul class="inheritance">
<li>refinement.model.refinements.presentation.RefinementsEditor</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.emf.common.ui.viewer.IViewerProvider, org.eclipse.emf.edit.domain.IEditingDomainProvider, org.eclipse.jface.action.IMenuListener, org.eclipse.jface.dialogs.IPageChangeProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.ide.IGotoMarker, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementsEditor</span>
extends org.eclipse.ui.part.MultiPageEditorPart
implements org.eclipse.emf.edit.domain.IEditingDomainProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.jface.action.IMenuListener, org.eclipse.emf.common.ui.viewer.IViewerProvider, org.eclipse.ui.ide.IGotoMarker</pre>
<div class="block">This is an example of a Refinements model editor.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation">RefinementsEditor.ReverseAdapterFactoryContentProvider</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.IEditorPart">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.ui.IEditorPart</h3>
<code>PROP_DIRTY, PROP_INPUT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.ui.IWorkbenchPart">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.ui.IWorkbenchPart</h3>
<code>PROP_TITLE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#RefinementsEditor--">RefinementsEditor</a></span>()</code>
<div class="block">This creates a model editor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#addSelectionChangedListener-org.eclipse.jface.viewers.ISelectionChangedListener-">addSelectionChangedListener</a></span>(org.eclipse.jface.viewers.ISelectionChangedListener&nbsp;listener)</code>
<div class="block">This implements <code>ISelectionProvider</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.Diagnostic</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#analyzeResourceProblems-org.eclipse.emf.ecore.resource.Resource-java.lang.Exception-">analyzeResourceProblems</a></span>(org.eclipse.emf.ecore.resource.Resource&nbsp;resource,
                       java.lang.Exception&nbsp;exception)</code>
<div class="block">Returns a diagnostic describing the errors and warnings listed in the resource
 and the specified exception (if any).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#createModel--">createModel</a></span>()</code>
<div class="block">This is the method called to load a resource into the editing domain's resource set based on the editor's input.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#createPages--">createPages</a></span>()</code>
<div class="block">This is the method used by the framework to install your own controls.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#dispose--">dispose</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#doSave-org.eclipse.core.runtime.IProgressMonitor-">doSave</a></span>(org.eclipse.core.runtime.IProgressMonitor&nbsp;progressMonitor)</code>
<div class="block">This is for implementing <code>IEditorPart</code> and simply saves the model file.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#doSaveAs--">doSaveAs</a></span>()</code>
<div class="block">This also changes the editor's input.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getActionBarContributor--">getActionBarContributor</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.ui.IActionBars</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getActionBars--">getActionBars</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getAdapter-java.lang.Class-">getAdapter</a></span>(java.lang.Class&nbsp;key)</code>
<div class="block">This is how the framework determines which interfaces we implement.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.AdapterFactory</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getAdapterFactory--">getAdapterFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.ui.views.contentoutline.IContentOutlinePage</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getContentOutlinePage--">getContentOutlinePage</a></span>()</code>
<div class="block">This accesses a cached version of the content outliner.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.edit.domain.EditingDomain</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getEditingDomain--">getEditingDomain</a></span>()</code>
<div class="block">This returns the editing domain as required by the <code>IEditingDomainProvider</code> interface.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.ui.views.properties.IPropertySheetPage</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getPropertySheetPage--">getPropertySheetPage</a></span>()</code>
<div class="block">This accesses a cached version of the property sheet.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.jface.viewers.ISelection</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getSelection--">getSelection</a></span>()</code>
<div class="block">This implements <code>ISelectionProvider</code> to return this editor's overall selection.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.jface.viewers.Viewer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#getViewer--">getViewer</a></span>()</code>
<div class="block">This returns the viewer as required by the <code>IViewerProvider</code> interface.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#gotoMarker-org.eclipse.core.resources.IMarker-">gotoMarker</a></span>(org.eclipse.core.resources.IMarker&nbsp;marker)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#handleContentOutlineSelection-org.eclipse.jface.viewers.ISelection-">handleContentOutlineSelection</a></span>(org.eclipse.jface.viewers.ISelection&nbsp;selection)</code>
<div class="block">This deals with how we want selection in the outliner to affect the other views.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#init-org.eclipse.ui.IEditorSite-org.eclipse.ui.IEditorInput-">init</a></span>(org.eclipse.ui.IEditorSite&nbsp;site,
    org.eclipse.ui.IEditorInput&nbsp;editorInput)</code>
<div class="block">This is called during startup.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#isDirty--">isDirty</a></span>()</code>
<div class="block">This is for implementing <code>IEditorPart</code> and simply tests the command stack.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#isSaveAsAllowed--">isSaveAsAllowed</a></span>()</code>
<div class="block">This always returns true because it is not currently supported.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#menuAboutToShow-org.eclipse.jface.action.IMenuManager-">menuAboutToShow</a></span>(org.eclipse.jface.action.IMenuManager&nbsp;menuManager)</code>
<div class="block">This implements <code>IMenuListener</code> to help fill the context menus with contributions from the Edit menu.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#removeSelectionChangedListener-org.eclipse.jface.viewers.ISelectionChangedListener-">removeSelectionChangedListener</a></span>(org.eclipse.jface.viewers.ISelectionChangedListener&nbsp;listener)</code>
<div class="block">This implements <code>ISelectionProvider</code>.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#setCurrentViewer-org.eclipse.jface.viewers.Viewer-">setCurrentViewer</a></span>(org.eclipse.jface.viewers.Viewer&nbsp;viewer)</code>
<div class="block">This makes sure that one content viewer, either for the current page or the outline view, if it has focus,
 is the current one.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#setCurrentViewerPane-org.eclipse.emf.common.ui.ViewerPane-">setCurrentViewerPane</a></span>(org.eclipse.emf.common.ui.ViewerPane&nbsp;viewerPane)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#setFocus--">setFocus</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#setSelection-org.eclipse.jface.viewers.ISelection-">setSelection</a></span>(org.eclipse.jface.viewers.ISelection&nbsp;selection)</code>
<div class="block">This implements <code>ISelectionProvider</code> to set this editor's overall selection.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#setSelectionToViewer-java.util.Collection-">setSelectionToViewer</a></span>(java.util.Collection&lt;?&gt;&nbsp;collection)</code>
<div class="block">This sets the selection into whichever viewer is active.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.html#setStatusLineManager-org.eclipse.jface.viewers.ISelection-">setStatusLineManager</a></span>(org.eclipse.jface.viewers.ISelection&nbsp;selection)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.MultiPageEditorPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.MultiPageEditorPart</h3>
<code>addPage, addPage, addPage, addPage, addPageChangedListener, createPartControl, findEditors, getActivePage, getSelectedPage, removePage, removePageChangedListener, setActiveEditor</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.EditorPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.EditorPart</h3>
<code>getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.part.WorkbenchPart">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.ui.part.WorkbenchPart</h3>
<code>addPartPropertyListener, addPropertyListener, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.ui.IWorkbenchPart">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.ui.IWorkbenchPart</h3>
<code>addPropertyListener, getSite, getTitle, getTitleImage, removePropertyListener</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RefinementsEditor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RefinementsEditor</h4>
<pre>public&nbsp;RefinementsEditor()</pre>
<div class="block">This creates a model editor.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setSelectionToViewer-java.util.Collection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelectionToViewer</h4>
<pre>public&nbsp;void&nbsp;setSelectionToViewer(java.util.Collection&lt;?&gt;&nbsp;collection)</pre>
<div class="block">This sets the selection into whichever viewer is active.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getEditingDomain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEditingDomain</h4>
<pre>public&nbsp;org.eclipse.emf.edit.domain.EditingDomain&nbsp;getEditingDomain()</pre>
<div class="block">This returns the editing domain as required by the <code>IEditingDomainProvider</code> interface.
 This is important for implementing the static methods of <code>AdapterFactoryEditingDomain</code>
 and for supporting <code>CommandAction</code>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getEditingDomain</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.edit.domain.IEditingDomainProvider</code></dd>
</dl>
</li>
</ul>
<a name="setCurrentViewerPane-org.eclipse.emf.common.ui.ViewerPane-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentViewerPane</h4>
<pre>public&nbsp;void&nbsp;setCurrentViewerPane(org.eclipse.emf.common.ui.ViewerPane&nbsp;viewerPane)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setCurrentViewer-org.eclipse.jface.viewers.Viewer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentViewer</h4>
<pre>public&nbsp;void&nbsp;setCurrentViewer(org.eclipse.jface.viewers.Viewer&nbsp;viewer)</pre>
<div class="block">This makes sure that one content viewer, either for the current page or the outline view, if it has focus,
 is the current one.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getViewer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getViewer</h4>
<pre>public&nbsp;org.eclipse.jface.viewers.Viewer&nbsp;getViewer()</pre>
<div class="block">This returns the viewer as required by the <code>IViewerProvider</code> interface.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getViewer</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.ui.viewer.IViewerProvider</code></dd>
</dl>
</li>
</ul>
<a name="createModel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createModel</h4>
<pre>public&nbsp;void&nbsp;createModel()</pre>
<div class="block">This is the method called to load a resource into the editing domain's resource set based on the editor's input.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="analyzeResourceProblems-org.eclipse.emf.ecore.resource.Resource-java.lang.Exception-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>analyzeResourceProblems</h4>
<pre>public&nbsp;org.eclipse.emf.common.util.Diagnostic&nbsp;analyzeResourceProblems(org.eclipse.emf.ecore.resource.Resource&nbsp;resource,
                                                                      java.lang.Exception&nbsp;exception)</pre>
<div class="block">Returns a diagnostic describing the errors and warnings listed in the resource
 and the specified exception (if any).
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="createPages--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPages</h4>
<pre>public&nbsp;void&nbsp;createPages()</pre>
<div class="block">This is the method used by the framework to install your own controls.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>createPages</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.MultiPageEditorPart</code></dd>
</dl>
</li>
</ul>
<a name="getAdapter-java.lang.Class-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdapter</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getAdapter(java.lang.Class&nbsp;key)</pre>
<div class="block">This is how the framework determines which interfaces we implement.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getAdapter</code>&nbsp;in interface&nbsp;<code>org.eclipse.core.runtime.IAdaptable</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getAdapter</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.MultiPageEditorPart</code></dd>
</dl>
</li>
</ul>
<a name="getContentOutlinePage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContentOutlinePage</h4>
<pre>public&nbsp;org.eclipse.ui.views.contentoutline.IContentOutlinePage&nbsp;getContentOutlinePage()</pre>
<div class="block">This accesses a cached version of the content outliner.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getPropertySheetPage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPropertySheetPage</h4>
<pre>public&nbsp;org.eclipse.ui.views.properties.IPropertySheetPage&nbsp;getPropertySheetPage()</pre>
<div class="block">This accesses a cached version of the property sheet.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="handleContentOutlineSelection-org.eclipse.jface.viewers.ISelection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleContentOutlineSelection</h4>
<pre>public&nbsp;void&nbsp;handleContentOutlineSelection(org.eclipse.jface.viewers.ISelection&nbsp;selection)</pre>
<div class="block">This deals with how we want selection in the outliner to affect the other views.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="isDirty--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDirty</h4>
<pre>public&nbsp;boolean&nbsp;isDirty()</pre>
<div class="block">This is for implementing <code>IEditorPart</code> and simply tests the command stack.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isDirty</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.ISaveablePart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isDirty</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.MultiPageEditorPart</code></dd>
</dl>
</li>
</ul>
<a name="doSave-org.eclipse.core.runtime.IProgressMonitor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSave</h4>
<pre>public&nbsp;void&nbsp;doSave(org.eclipse.core.runtime.IProgressMonitor&nbsp;progressMonitor)</pre>
<div class="block">This is for implementing <code>IEditorPart</code> and simply saves the model file.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>doSave</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.ISaveablePart</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>doSave</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.EditorPart</code></dd>
</dl>
</li>
</ul>
<a name="isSaveAsAllowed--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSaveAsAllowed</h4>
<pre>public&nbsp;boolean&nbsp;isSaveAsAllowed()</pre>
<div class="block">This always returns true because it is not currently supported.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSaveAsAllowed</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.ISaveablePart</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSaveAsAllowed</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.EditorPart</code></dd>
</dl>
</li>
</ul>
<a name="doSaveAs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSaveAs</h4>
<pre>public&nbsp;void&nbsp;doSaveAs()</pre>
<div class="block">This also changes the editor's input.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>doSaveAs</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.ISaveablePart</code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>doSaveAs</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.EditorPart</code></dd>
</dl>
</li>
</ul>
<a name="gotoMarker-org.eclipse.core.resources.IMarker-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gotoMarker</h4>
<pre>public&nbsp;void&nbsp;gotoMarker(org.eclipse.core.resources.IMarker&nbsp;marker)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>gotoMarker</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.ide.IGotoMarker</code></dd>
</dl>
</li>
</ul>
<a name="init-org.eclipse.ui.IEditorSite-org.eclipse.ui.IEditorInput-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(org.eclipse.ui.IEditorSite&nbsp;site,
                 org.eclipse.ui.IEditorInput&nbsp;editorInput)</pre>
<div class="block">This is called during startup.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>init</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.IEditorPart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>init</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.MultiPageEditorPart</code></dd>
</dl>
</li>
</ul>
<a name="setFocus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFocus</h4>
<pre>public&nbsp;void&nbsp;setFocus()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setFocus</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.IWorkbenchPart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setFocus</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.MultiPageEditorPart</code></dd>
</dl>
</li>
</ul>
<a name="addSelectionChangedListener-org.eclipse.jface.viewers.ISelectionChangedListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addSelectionChangedListener</h4>
<pre>public&nbsp;void&nbsp;addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener&nbsp;listener)</pre>
<div class="block">This implements <code>ISelectionProvider</code>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addSelectionChangedListener</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.viewers.ISelectionProvider</code></dd>
</dl>
</li>
</ul>
<a name="removeSelectionChangedListener-org.eclipse.jface.viewers.ISelectionChangedListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeSelectionChangedListener</h4>
<pre>public&nbsp;void&nbsp;removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener&nbsp;listener)</pre>
<div class="block">This implements <code>ISelectionProvider</code>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeSelectionChangedListener</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.viewers.ISelectionProvider</code></dd>
</dl>
</li>
</ul>
<a name="getSelection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSelection</h4>
<pre>public&nbsp;org.eclipse.jface.viewers.ISelection&nbsp;getSelection()</pre>
<div class="block">This implements <code>ISelectionProvider</code> to return this editor's overall selection.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getSelection</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.viewers.ISelectionProvider</code></dd>
</dl>
</li>
</ul>
<a name="setSelection-org.eclipse.jface.viewers.ISelection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSelection</h4>
<pre>public&nbsp;void&nbsp;setSelection(org.eclipse.jface.viewers.ISelection&nbsp;selection)</pre>
<div class="block">This implements <code>ISelectionProvider</code> to set this editor's overall selection.
 Calling this result will notify the listeners.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>setSelection</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.viewers.ISelectionProvider</code></dd>
</dl>
</li>
</ul>
<a name="setStatusLineManager-org.eclipse.jface.viewers.ISelection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStatusLineManager</h4>
<pre>public&nbsp;void&nbsp;setStatusLineManager(org.eclipse.jface.viewers.ISelection&nbsp;selection)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="menuAboutToShow-org.eclipse.jface.action.IMenuManager-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>menuAboutToShow</h4>
<pre>public&nbsp;void&nbsp;menuAboutToShow(org.eclipse.jface.action.IMenuManager&nbsp;menuManager)</pre>
<div class="block">This implements <code>IMenuListener</code> to help fill the context menus with contributions from the Edit menu.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>menuAboutToShow</code>&nbsp;in interface&nbsp;<code>org.eclipse.jface.action.IMenuListener</code></dd>
</dl>
</li>
</ul>
<a name="getActionBarContributor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActionBarContributor</h4>
<pre>public&nbsp;org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor&nbsp;getActionBarContributor()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getActionBars--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getActionBars</h4>
<pre>public&nbsp;org.eclipse.ui.IActionBars&nbsp;getActionBars()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="getAdapterFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAdapterFactory</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.AdapterFactory&nbsp;getAdapterFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="dispose--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dispose</h4>
<pre>public&nbsp;void&nbsp;dispose()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>dispose</code>&nbsp;in interface&nbsp;<code>org.eclipse.ui.IWorkbenchPart</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>dispose</code>&nbsp;in class&nbsp;<code>org.eclipse.ui.part.MultiPageEditorPart</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementsEditor.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsActionBarContributor.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../refinement/model/refinements/presentation/RefinementsEditor.ReverseAdapterFactoryContentProvider.html" title="class in refinement.model.refinements.presentation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?refinement/model/refinements/presentation/RefinementsEditor.html" target="_top">Frames</a></li>
<li><a href="RefinementsEditor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
